This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 822125 - [as7] Deployment type has properties with null values
[as7] Deployment type has properties with null values
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 822126
  Show dependency treegraph
 
Reported: 2012-05-16 08:17 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 822126 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:06:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-05-16 08:17:36 EDT
From the integration test


 * {{JBossAS7}Deployment=java.lang.Exception: Resource config is not valid:
     - [Required property 'bytes' has a null value in PropertyMap[id=0, name=content, map={input-stream-index=PropertySimple[id=0, name=input-stream-index, value=null, override=null], hash=PropertySimple[id=0, name=hash, value=null, override=null], bytes=PropertySimple[id=0, name=bytes, value=null, override=null], url=PropertySimple[id=0, name=url, value=null, override=null], path=PropertySimple[id=0, name=path, value=null, override=null], relative-to=PropertySimple[id=0, name=relative-to, value=null, override=null], archive=PropertySimple[id=0, name=archive, value=null, override=null]}].,
     - Required property 'hash' has a null value in PropertyMap[id=0, name=content, map={input-stream-index=PropertySimple[id=0, name=input-stream-index, value=null, override=null], hash=PropertySimple[id=0, name=hash, value=null, override=null], bytes=PropertySimple[id=0, name=bytes, value=, override=null], url=PropertySimple[id=0, name=url, value=null, override=null], path=PropertySimple[id=0, name=path, value=null, override=null], relative-to=PropertySimple[id=0, name=relative-to, value=null, override=null], archive=PropertySimple[id=0, name=archive, value=null, override=null]}].,
     - Required property 'relative-to' has a null value in PropertyMap[id=0, name=content, map={input-stream-index=PropertySimple[id=0, name=input-stream-index, value=null, override=null], hash=PropertySimple[id=0, name=hash, value=, override=null], bytes=PropertySimple[id=0, name=bytes, value=, override=null], url=PropertySimple[id=0, name=url, value=null, override=null], path=PropertySimple[id=0, name=path, value=null, override=null], relative-to=PropertySimple[id=0, name=relative-to, value=null, override=null], archive=PropertySimple[id=0, name=archive, value=null, override=null]}].,
     - Required property 'path' has a null value in PropertyMap[id=0, name=content, map={input-stream-index=PropertySimple[id=0, name=input-stream-index, value=null, override=null], hash=PropertySimple[id=0, name=hash, value=, override=null], bytes=PropertySimple[id=0, name=bytes, value=, override=null], url=PropertySimple[id=0, name=url, value=null, override=null], path=PropertySimple[id=0, name=path, value=null, override=null], relative-to=PropertySimple[id=0, name=relative-to, value=, override=null], archive=PropertySimple[id=0, name=archive, value=null, override=null]}].,
     - Required property 'input-stream-index' has a null value in PropertyMap[id=0, name=content, map={input-stream-index=PropertySimple[id=0, name=input-stream-index, value=null, override=null], hash=PropertySimple[id=0, name=hash, value=, override=null], bytes=PropertySimple[id=0, name=bytes, value=, override=null], url=PropertySimple[id=0, name=url, value=null, override=null], path=PropertySimple[id=0, name=path, value=, override=null], relative-to=PropertySimple[id=0, name=relative-to, value=, override=null], archive=PropertySimple[id=0, name=archive, value=null, override=null]}].,
     - Required property 'archive' has a null value in PropertyMap[id=0, name=content, map={input-stream-index=PropertySimple[id=0, name=input-stream-index, value=, override=null], hash=PropertySimple[id=0, name=hash, value=, override=null], bytes=PropertySimple[id=0, name=bytes, value=, override=null], url=PropertySimple[id=0, name=url, value=null, override=null], path=PropertySimple[id=0, name=path, value=, override=null], relative-to=PropertySimple[id=0, name=relative-to, value=, override=null], archive=PropertySimple[id=0, name=archive, value=null, override=null]}].,
     - Required property 'url' has a null value in PropertyMap[id=0, name=content, map={input-stream-index=PropertySimple[id=0, name=input-stream-index, value=, override=null], hash=PropertySimple[id=0, name=hash, value=, override=null], bytes=PropertySimple[id=0, name=bytes, value=, override=null], url=PropertySimple[id=0, name=url, value=null, override=null], path=PropertySimple[id=0, name=path, value=, override=null], relative-to=PropertySimple[id=0, name=relative-to, value=, override=null], archive=PropertySimple[id=0, name=archive, value=, override=null]}].]}
Comment 1 Heiko W. Rupp 2012-05-16 08:19:11 EDT
Those are all not needed and filled by the server (in various parts depending on the deployment)

master ac42e94
Comment 2 Heiko W. Rupp 2013-09-01 06:06:44 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.